matrix:
  unix_platform:
    - ubuntu2204
    - ubuntu2404
    - macos
    - macos_arm64
  bazel: [7.x, 8.x, 9.x, rolling]
tasks:
  verify_targets_unix:
    platform: ${{ unix_platform }}
    bazel: ${{ bazel }}
    build_flags:
      - "--cxxopt=-std=c++20"
      - "--incompatible_disallow_empty_glob=false"
    build_targets:
      - "@icu//icu4c/source/..."
      - "@icu//tools/..."
    test_flags:
      - "--cxxopt=-std=c++20"
      - "--incompatible_disallow_empty_glob=false"
    test_targets:
      - "@icu//bcr/..."
